% Plot various mitgcm model output fields

clear all, clf reset, cd ~/mitgcm/output
path('/dm1/dimitri/mitgcm/matlab/readmeta',path);
load ../matlab/grid/cgrid

U=rdmeta('U.0000000012','b');
tmp=U(:,:,1)';
tmp(find(~tmp))=nan;
figure, contourf(lon,lat,tmp)
colorbar('horiz')
title('U, hour 12, layer 1, 3600s step')
figure, plot(U(175,:,1))

V=rdmeta('V.0000000012','b');
tmp=V(:,:,1)';
tmp(find(~tmp))=nan;
figure, contourf(lon,lat,tmp)
colorbar('horiz')
title('V, hour 12, layer 1, 3600s step')

H=rdmeta('H.0000000008','b');
clf, contourf(lon,lat,H')
colorbar('horiz')

T=rdmeta('T.0000000008','b');
clf, contourf(lon,lat,squeeze(T(:,:,1))')
colorbar('horiz')

S=rdmeta('S.0000000002','b');
clf, contourf(lon,lat,squeeze(S(:,:,1))')
colorbar('horiz')

